#
# search options
#
# nthreads: number of threads (cpu cores) to use
#           leave empty for automatic detection
#           use 1 for single core version
#           Alternatively, use the UCI Threads option
#
search.nthreads=


#
# bitbase options
#
# dir   : directory that contains egbbdll.dll and the bitbases
#         (downloadable from http://wbec-ridderkerk.nl/html/details/Scorpio.html)
# cachmb: number of megabytes for egbb cache
#
egbb.dir=
egbb.cachemb=16


#
# opening book options
#---------------------
# An empty value means that the default value will be used. To view the default
# values: start bright from a command prompt and issue the 'book' command.
#
# file         : string   the file name of the opening book,
#                         leave empty for no opening book
#
# maxply       : [0..]    stop playing bookmoves after maxply halfmoves are on
#                         the board. A value of 0 disables this option.
# mingames     : [0..]    only play moves occuring in at least this many games
# mingamepct   : [0..100] only play moves that were played at least mingamepct%
# minelo       : [0..]    only play moves that have a calculated elo value of at
#                         least minelo.  Only effective if the book actually contains
#                         elo values (these are supported from version 0.5 and up)
# maxelodelta  : [0..]    only play moves that have an elo value that is no worse
#                         than maxelodelta less than the elo value of the best
#                         move from the current position
# minscorew    : [0..100] play only white moves that scored at least minscorew%
# minscoreb    : [0..100] play only black moves that scored at least minscoreb%
# maxscoredelta: [0..100] only play moves that score no less than maxscoredelta
#                          worse than the best move
#
# gameweight   : [0..100] relative weight for the number of games
# eloweight    : [0..100] relative weight for the calculated elo
# scoreweight  : [0..100] relative weight for the score%
# winweight    : [0..100] relative weight for the winning%
# drawweight   : [0..100] relative weight for the draw%
#
# minweight    : [0..100] only play moves with a combined weight that is no less 
#                         than minweight% of the combined weight of the best move
# random       : [0..100] 100=randomize by calculated weights
#                           0=do not randomize at all, always play the best move
#
#
book.file=2700-64-5040.bbk

book.play.maxply=
book.play.mingames=
book.play.mingamepct=
book.play.minelo=
book.play.maxelodelta=
book.play.minscorew=
book.play.minscoreb=
book.play.maxscoredelta=
book.play.gameweight=
book.play.eloweight=
book.play.scoreweight=
book.play.winweight=
book.play.drawweight=
book.play.minweight=
book.play.random=


#
# book building options
#
# file        : output file, if empty: derived from pgn file name: x.pgn -> x.bbk
# minelo      : drops games by players with lower elo than minelo
# maxelodelta : drops games between players with higher elo difference than maxelodelta
# minply      : drops games with less plies than minply
# maxply      : drops moves beyond this game ply
# mingames    : drops moves occuring in less games than mingames
# minscorew   : [0..100] drops white moves scoring less than minscorew
# minscoreb   : [0..100] drops black moves scoring less than minscoreb
# keeppct     : [0..100] for each position: drops moves that cover less than keeppct 
#                        of the games that the position occured in
#                        (e.g. keeppct=80 will usually drop e3, f3 etc from the initial position)
#
book.build.file=
book.build.minelo=
book.build.maxelodelta=
book.build.minply=
book.build.maxply=
book.build.mingames=
book.build.minscorew=
book.build.minscoreb=
book.build.keeppct=


#
# uci options
#
# trace  : if non-empty, trace uci protocol
# logdir : if specified, directory to which a (large) session logfile is written
#          (for debugging only, it may lead to time losses)
#
uci.trace=
uci.logdir=

#
# local machine options
# mhz   : Mhz at which cpu is ticking, used in perft output
#
machine.mhz=2500

